<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />

    <application
        android:name=".MainApplication"
        android:allowBackup="true"
        android:hardwareAccelerated="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true"
        android:fullBackupContent="@xml/backup_descriptor"
        android:requestLegacyExternalStorage="true">
        <activity
            android:name=".gest.spedizione.SpedizioneActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Light"
            android:windowSoftInputMode="adjustNothing" />
        <activity
            android:name=".gest.pv_ordine_acquisto_edit.PVOrdineAcquistoEditActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Light"
            android:windowSoftInputMode="adjustNothing" />
        <activity
            android:name=".gest.prod_dettaglio_linea.ProdDettaglioLineaActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Light"
            android:windowSoftInputMode="adjustNothing" />
        <activity
            android:name=".gest.contab_doc_interni.edit_form.DocInterniEditFormActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Light"
            android:windowSoftInputMode="adjustNothing" />
        <activity
            android:name=".gest.picking_resi.PickingResiActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Light" />
        <activity
            android:name=".gest.main.MainActivity"
            android:theme="@style/Light"
            android:windowSoftInputMode="adjustNothing"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.CLIENTBARCODEACTIVITY" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name=".gest.accettazione_picking.AccettazionePickingActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Light"
            android:windowSoftInputMode="adjustNothing" />
        <activity
            android:name=".gest.login.LoginActivity"
            android:theme="@style/Light" />
        <activity
            android:name=".gest.lista_bancali.ListaBancaliActivity"
            android:label="@string/activity_lista_bancali_title"
            android:screenOrientation="portrait"
            android:theme="@style/Light" />
        <activity
            android:name=".gest.contenuto_bancale.ContenutoBancaleActivity"
            android:label="@string/activity_contenuto_bancale_title"
            android:screenOrientation="portrait"
            android:theme="@style/Light" />

        <meta-data
            android:name="firebase_crashlytics_collection_enabled"
            android:value="true" />

        <activity
            android:name=".SplashActivity"
            android:label="@string/app_name"
            android:theme="@style/SplashTheme"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <provider
            android:name=".core.update.GenericFileProvider"
            android:authorities="${applicationId}.core.update.GenericFileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>
    </application>

</manifest>